var Arduino = function() {
};

/**
 *  Returns temperature registered in Arduino controller
 *  
  * @param successCallback The callback which will be called when directory listing is successful
  * @param failureCallback The callback which will be called when directory listing encouters an error
  */
Arduino.prototype.getTemperature = function(successCallback, failureCallback) {
  return PhoneGap.exec(    
    successCallback,
    failureCallback,
    'Arduino',
    'getTemperature',
    []
  );
};

PhoneGap.addConstructor(function() {
   PhoneGap.addPlugin("arduino", new Arduino());
});